Index: /trunk/SRC/Obsolete/nlecserie.pro
===================================================================
--- /trunk/SRC/Obsolete/nlecserie.pro	(revision 113)
+++ /trunk/SRC/Obsolete/nlecserie.pro	(revision 114)
@@ -39,4 +39,7 @@
 ;------------------------------------------------------------
 function nlecserie, nom, date1, date2,BOITE = boite, GRILLE=grille,TOUT=tout, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 @common
 ;------------------------------------------------------------
Index: /trunk/SRC/Obsolete/vairdate.pro
===================================================================
--- /trunk/SRC/Obsolete/vairdate.pro	(revision 113)
+++ /trunk/SRC/Obsolete/vairdate.pro	(revision 114)
@@ -41,4 +41,7 @@
 ;------------------------------------------------------------
 function vairdate, jdate,  ANNUEL = annuel, MENSUEL = mensuel, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 @common
 ;------------------------------------------------------------
Index: /trunk/SRC/Obsolete/vraidate.pro
===================================================================
--- /trunk/SRC/Obsolete/vraidate.pro	(revision 113)
+++ /trunk/SRC/Obsolete/vraidate.pro	(revision 114)
@@ -29,4 +29,7 @@
 function vraidate, date, GRADS = grads, _EXTRA = ex
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
   IF NOT keyword_set(GRADS) THEN return, long(date)
 ;
Index: /trunk/SRC/Postscript/closeps.pro
===================================================================
--- /trunk/SRC/Postscript/closeps.pro	(revision 113)
+++ /trunk/SRC/Postscript/closeps.pro	(revision 114)
@@ -25,4 +25,7 @@
 ;------------------------------------------------------------
 PRO closeps, INFOWIDGET = infowidget
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
    IF lmgr(/demo) EQ 1 THEN return
Index: /trunk/SRC/Postscript/openps.pro
===================================================================
--- /trunk/SRC/Postscript/openps.pro	(revision 113)
+++ /trunk/SRC/Postscript/openps.pro	(revision 114)
@@ -46,4 +46,7 @@
             , PORTRAIT = portrait, LANDSCAPE = landscape $
             , LIGHTNESS = Lightness,_extra = ex
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
    IF lmgr(/demo) EQ 1 THEN BEGIN
Index: /trunk/SRC/Postscript/printps.pro
===================================================================
--- /trunk/SRC/Postscript/printps.pro	(revision 113)
+++ /trunk/SRC/Postscript/printps.pro	(revision 114)
@@ -46,4 +46,7 @@
 ;------------------------------------------------------------
 ; include commons
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4ps
   IF NOT keyword_set(key_forgetold) THEN BEGIN
@@ -202,4 +205,7 @@
 ;
 ; this is working only with unix/linux/osX machines
+;
+  compile_opt idl2, strictarrsubs
+;
   thisOS = strupcase(strmid(!version.os_family, 0, 3))
   CASE thisOS OF 
Index: /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_listdims.pro
===================================================================
--- /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_listdims.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_listdims.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION ncdf_listdims,ncid
+;
+  compile_opt idl2, strictarrsubs
+;
 
 n=(ncdf_inquire(ncid)).ndims
Index: /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_listvars.pro
===================================================================
--- /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_listvars.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_listvars.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION ncdf_listvars,ncid
+;
+  compile_opt idl2, strictarrsubs
+;
 
 n=(ncdf_inquire(ncid)).nvars
Index: /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_read.pro
===================================================================
--- /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_read.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_read.pro	(revision 114)
@@ -45,4 +45,7 @@
 ;
 ;----------------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 
 
Index: /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_struct.pro
===================================================================
--- /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_struct.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_struct.pro	(revision 114)
@@ -15,4 +15,7 @@
 ;
 ; Alan Iwi 27/6/02
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 
Index: /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_struct_free.pro
===================================================================
--- /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_struct_free.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_struct_free.pro	(revision 114)
@@ -1,3 +1,6 @@
 PRO ncdf_struct_free,s
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ;
Index: /trunk/SRC/ReadWrite/ncdf_timeget.pro
===================================================================
--- /trunk/SRC/ReadWrite/ncdf_timeget.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/ncdf_timeget.pro	(revision 114)
@@ -34,4 +34,7 @@
 ;------------------------------------------------------------
 FUNCTION ncdf_timeget, cdfid, timeid, YYYYMMDD = yyyymmdd, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 
    insidetime=ncdf_varinq(cdfid,timeid)
Index: /trunk/SRC/ReadWrite/read_grads.pro
===================================================================
--- /trunk/SRC/ReadWrite/read_grads.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/read_grads.pro	(revision 114)
@@ -64,4 +64,7 @@
 FUNCTION read_grads, var, date1, date2, FILENAME = filename, BOX=box, TIMESTEP = timestep, EVERYTHING = everything, NOSTRUCT = nostruct, _EXTRA = ex
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: /trunk/SRC/ReadWrite/read_oasis.pro
===================================================================
--- /trunk/SRC/ReadWrite/read_oasis.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/read_oasis.pro	(revision 114)
@@ -36,4 +36,7 @@
 
 FUNCTION read_oasis, filename, varname, jpi, jpj, I2 = I2, I4 = i4, I8 = i8, R4 = r4
+;
+  compile_opt idl2, strictarrsubs
+;
 
    openr, unit, filename, /f77_unformatted, /get_lun, /swap_if_little_endian $
Index: /trunk/SRC/ReadWrite/readbat.pro
===================================================================
--- /trunk/SRC/ReadWrite/readbat.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/readbat.pro	(revision 114)
@@ -18,4 +18,7 @@
 ;-
 FUNCTION readbat, filename, ZERO = zero
+;
+  compile_opt idl2, strictarrsubs
+;
 
    ;;
@@ -60,5 +63,5 @@
       FOR jj =  ijm-1, 0, -1  DO BEGIN
          readf, iunit, FORMAT = iformat, ij, zbati
-         zbat(il1:il2, jj) = zbati
+         zbat[il1:il2, jj] = zbati
       ENDFOR
       il1 = il1 + ifreq
@@ -75,5 +78,5 @@
    FOR jj =  ijm-1, 0, -1  DO BEGIN
       readf, iunit, FORMAT = iformat, ij, zbati2
-      zbat(il1:il2, jj) = zbati2
+      zbat[il1:il2, jj] = zbati2
    ENDFOR
    close, iunit
Index: /trunk/SRC/ReadWrite/readoldopadistcoast.pro
===================================================================
--- /trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 114)
@@ -23,4 +23,7 @@
 
 FUNCTION read3fromopa, unit, params, num
+;
+  compile_opt idl2, strictarrsubs
+;
    offset=params.reclen*params.jpk*(num-1L)
    a=assoc(unit,dblarr(params.jpiglo,params.jpjglo,params.jpk,/nozero),offset)
@@ -42,4 +45,7 @@
 ;-
 FUNCTION readoldopadistcoast, filename, jpiglo, jpjglo, jpk, IBLOC = ibloc, JPBYT = jpbyt, NUMREC = numrec
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
    iname_file = findfile(filename)
Index: /trunk/SRC/ReadWrite/readoldoparestart.pro
===================================================================
--- /trunk/SRC/ReadWrite/readoldoparestart.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/readoldoparestart.pro	(revision 114)
@@ -17,4 +17,7 @@
 
 FUNCTION read2fromopa, unit, params, num
+;
+  compile_opt idl2, strictarrsubs
+;
    offset=params.reclen*params.jpk*(num-1L)
    a=assoc(unit,dblarr(params.jpiglo,params.jpjglo,/nozero),offset) 
@@ -26,4 +29,7 @@
 ;-
 FUNCTION read3fromopa, unit, params, num
+;
+  compile_opt idl2, strictarrsubs
+;
    offset=params.reclen*params.jpk*(num-1L)
    a=assoc(unit,dblarr(params.jpiglo,params.jpjglo,params.jpk,/nozero),offset)
@@ -74,4 +80,7 @@
 
 PRO readoldoparestart, filename, jpiglo, jpjglo, jpk, IBLOC = ibloc, JPBYT = jpbyt, NUMREC = numrec, ub = ub, vb = vb, tb = tb, sb = sb, rotb = rotb, hdivb = hdivb, un = un, vn = vn, tn = tn, sn = sn, rotn = rotn, hdivn = hdivn, gcx = gcx, gcxb = gcxb, etab = etab, etan = etan, bsfb = bsfb, bsfn = bsfn, bsfd = bsfd, en = en
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
    iname_file = findfile(filename)
Index: /trunk/SRC/ReadWrite/scanctl.pro
===================================================================
--- /trunk/SRC/ReadWrite/scanctl.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/scanctl.pro	(revision 114)
@@ -7,4 +7,7 @@
 ;-
 PRO scanctl, filename, filesname, jpt1file, varsname, varslev, swapbytes, bigendian, littleendian, f77sequential, fileheader, theader, xyheader, VARFMT = varfmt, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 
Index: /trunk/SRC/ReadWrite/scanoasis.pro
===================================================================
--- /trunk/SRC/ReadWrite/scanoasis.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/scanoasis.pro	(revision 114)
@@ -22,4 +22,7 @@
 
 PRO scanoasis, filename
+;
+  compile_opt idl2, strictarrsubs
+;
 
    openr, unit,filename , /F77_UNFORMATTED, /GET_LUN, /SWAP_IF_LITTLE_ENDIAN $
Index: /trunk/SRC/ReadWrite/write_oasis.pro
===================================================================
--- /trunk/SRC/ReadWrite/write_oasis.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/write_oasis.pro	(revision 114)
@@ -32,4 +32,7 @@
 
 PRO write_oasis, filename, varname, z2d, I2 = i2, I4 = i4, I8 = i8, R4 = r4, APPEND = append
+;
+  compile_opt idl2, strictarrsubs
+;
    openw, unit, filename , /F77_UNFORMATTED, /GET_LUN, /SWAP_IF_LITTLE_ENDIAN $
     , error=err, APPEND = append
Index: /trunk/SRC/ReadWrite/writebat.pro
===================================================================
--- /trunk/SRC/ReadWrite/writebat.pro	(revision 113)
+++ /trunk/SRC/ReadWrite/writebat.pro	(revision 114)
@@ -16,4 +16,7 @@
 ;-
 PRO writebat, zbat, filename
+;
+  compile_opt idl2, strictarrsubs
+;
 ; basic checks
   IF n_params() NE 2 THEN BEGIN
@@ -61,5 +64,5 @@
     iformat = string('(', il3+2, 'i3)')
     FOR jj =  jpj2-1, 0, -1  DO BEGIN
-      zbati(0:il3) = zbat(il1:il2, jj)
+      zbati[0:il3] = zbat[il1:il2, jj]
       printf, iunit, FORMAT = iformat, jj+1, zbati
     END
@@ -77,6 +80,6 @@
   iformat = string('(', il3+2, 'i3)')
   FOR jj =  jpj2-1, 0, -1  DO BEGIN
-    zbati2(0:irest-1) = 0
-    zbati2(0:il3) = zbat(il1:il2, jj)
+    zbati2[0:irest-1] = 0
+    zbati2[0:il3] = zbat[il1:il2, jj]
     printf, iunit, FORMAT = iformat, jj+1, zbati2
   END
Index: /trunk/SRC/Tests/TestsOld/.idlwave_catalog
===================================================================
--- /trunk/SRC/Tests/TestsOld/.idlwave_catalog	(revision 113)
+++ /trunk/SRC/Tests/TestsOld/.idlwave_catalog	(revision 114)
@@ -7,5 +7,5 @@
 (setq idlwave-library-catalog-routines
  '(("tst_basic_old" pro nil (lib "tst_basic_old.pro" nil "saxo") "%s" (nil))
-   ("tst_plt" pro nil (lib "tst_plt_old.pro" nil "saxo") "%s" (nil ("IMAGE")))
-   ("tst_pltt" pro nil (lib "tst_pltt_old.pro" nil "saxo") "%s" (nil ("IMAGE")))
-   ("tst_pltz" pro nil (lib "tst_pltz_old.pro" nil "saxo") "%s" (nil ("IMAGE")))))
+   ("tst_plt_old" pro nil (lib "tst_plt_old.pro" nil "saxo") "%s" (nil ("IMAGE")))
+   ("tst_pltt_old" pro nil (lib "tst_pltt_old.pro" nil "saxo") "%s" (nil ("IMAGE")))
+   ("tst_pltz_old" pro nil (lib "tst_pltz_old.pro" nil "saxo") "%s" (nil ("IMAGE")))))
Index: /trunk/SRC/Tests/TestsOld/tst_basic_old.pro
===================================================================
--- /trunk/SRC/Tests/TestsOld/tst_basic_old.pro	(revision 113)
+++ /trunk/SRC/Tests/TestsOld/tst_basic_old.pro	(revision 114)
@@ -4,4 +4,7 @@
 ;
 ; 1) plot
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   n = 10
Index: /trunk/SRC/Tests/TestsOld/tst_plt_old.pro
===================================================================
--- /trunk/SRC/Tests/TestsOld/tst_plt_old.pro	(revision 113)
+++ /trunk/SRC/Tests/TestsOld/tst_plt_old.pro	(revision 114)
@@ -1,4 +1,7 @@
-PRO tst_plt, IMAGE = image
+PRO tst_plt_old, IMAGE = image
 ; commons
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ;
Index: /trunk/SRC/Tests/TestsOld/tst_pltt_old.pro
===================================================================
--- /trunk/SRC/Tests/TestsOld/tst_pltt_old.pro	(revision 113)
+++ /trunk/SRC/Tests/TestsOld/tst_pltt_old.pro	(revision 114)
@@ -1,4 +1,7 @@
-PRO tst_pltt, IMAGE = image
+PRO tst_pltt_old, IMAGE = image
 ; commons
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 @common
Index: /trunk/SRC/Tests/TestsOld/tst_pltz_old.pro
===================================================================
--- /trunk/SRC/Tests/TestsOld/tst_pltz_old.pro	(revision 113)
+++ /trunk/SRC/Tests/TestsOld/tst_pltz_old.pro	(revision 114)
@@ -1,4 +1,7 @@
-PRO tst_pltz, IMAGE = image
+PRO tst_pltz_old, IMAGE = image
 ; commons
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ;
Index: /trunk/SRC/Tests/makeold.sh
===================================================================
--- /trunk/SRC/Tests/makeold.sh	(revision 113)
+++ /trunk/SRC/Tests/makeold.sh	(revision 114)
@@ -27,2 +27,11 @@
       $i > TestsOld/${new}_old.pro
 done
+
+cd TestsOld
+for i in $( egrep -il "^ *(pro|function) .*," *.pro )
+do
+  a=$( egrep -ih "^ *(pro|function) .*," $i )
+  b=${a%%,*}_old,${a#*,}
+  sed -e "s/${a}/${b}/" $i > tmp_$$
+  mv tmp_$$ $i
+done
Index: /trunk/SRC/Tests/tst_basic.pro
===================================================================
--- /trunk/SRC/Tests/tst_basic.pro	(revision 113)
+++ /trunk/SRC/Tests/tst_basic.pro	(revision 114)
@@ -4,4 +4,7 @@
 ;
 ; 1) plot
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   n = 10
Index: /trunk/SRC/Tests/tst_plt.pro
===================================================================
--- /trunk/SRC/Tests/tst_plt.pro	(revision 113)
+++ /trunk/SRC/Tests/tst_plt.pro	(revision 114)
@@ -1,4 +1,7 @@
 PRO tst_plt, IMAGE = image
 ; commons
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 ;
Index: /trunk/SRC/Tests/tst_pltt.pro
===================================================================
--- /trunk/SRC/Tests/tst_pltt.pro	(revision 113)
+++ /trunk/SRC/Tests/tst_pltt.pro	(revision 114)
@@ -1,4 +1,7 @@
 PRO tst_pltt, IMAGE = image
 ; commons
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4cal
Index: /trunk/SRC/Tests/tst_pltz.pro
===================================================================
--- /trunk/SRC/Tests/tst_pltz.pro	(revision 113)
+++ /trunk/SRC/Tests/tst_pltz.pro	(revision 114)
@@ -1,4 +1,7 @@
 PRO tst_pltz, IMAGE = image
 ; commons
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 ;
Index: /trunk/SRC/Textoidl/matchdelim.pro
===================================================================
--- /trunk/SRC/Textoidl/matchdelim.pro	(revision 113)
+++ /trunk/SRC/Textoidl/matchdelim.pro	(revision 114)
@@ -60,4 +60,7 @@
                      CLOSE_DELIM=CloseDelim, $
                      HELP=Help
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ; Return to caller if error.
@@ -110,6 +113,6 @@
     
 ; Convert strings to array of integers to speed processing.
-    OpenDelim = fix((byte(OpenDelim))(0))
-    CloseDelim = fix((byte(CloseDelim))(0))
+    OpenDelim = fix((byte(OpenDelim))[0])
+    CloseDelim = fix((byte(CloseDelim))[0])
     TmpStr = fix(byte(strmid( InString, OpenPos, length)))
 ; Leave the -1* in here.  This forces conversion from BYTE to INTEGER,
@@ -125,5 +128,5 @@
     WHILE (BraceCnt GT 0) AND (i LT length-1) DO BEGIN 
         i = i+1
-        BraceCnt = BraceCnt + TmpStr(i)
+        BraceCnt = BraceCnt + TmpStr[i]
     ENDWHILE 
     
Index: /trunk/SRC/Textoidl/nexttok.pro
===================================================================
--- /trunk/SRC/Textoidl/nexttok.pro	(revision 113)
+++ /trunk/SRC/Textoidl/nexttok.pro	(revision 114)
@@ -54,4 +54,7 @@
                   POSITION=position, $
                   HELP=Help
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ;  Return to caller on error.
@@ -92,5 +95,5 @@
     Matches = 0L
     FOR j=0, NumToks-1 DO BEGIN 
-        TmpMatch = where(TmpStr EQ TmpTok(j),  TmpCnt)
+        TmpMatch = where(TmpStr EQ TmpTok[j],  TmpCnt)
         IF (TmpCnt GT 0) THEN BEGIN
             MatchIdx = [MatchIdx, Replicate(j, TmpCnt)]
Index: /trunk/SRC/Textoidl/showtex.pro
===================================================================
--- /trunk/SRC/Textoidl/showtex.pro	(revision 113)
+++ /trunk/SRC/Textoidl/showtex.pro	(revision 114)
@@ -49,4 +49,7 @@
 ;
 PRO Showtex, FONT=fnt, HELP=help
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ; Return to caller on error.
Index: /trunk/SRC/Textoidl/str_token.pro
===================================================================
--- /trunk/SRC/Textoidl/str_token.pro	(revision 113)
+++ /trunk/SRC/Textoidl/str_token.pro	(revision 114)
@@ -62,4 +62,7 @@
 FUNCTION Str_token, string, token, $
                  TRIM=trim, HELP=Help
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ; Back to the caller if error occurs.
Index: /trunk/SRC/Textoidl/strcnt.pro
===================================================================
--- /trunk/SRC/Textoidl/strcnt.pro	(revision 113)
+++ /trunk/SRC/Textoidl/strcnt.pro	(revision 114)
@@ -50,4 +50,7 @@
 FUNCTION Strcnt, strn, substrn, startpos, $
                  HELP=Help
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ; Return to caller if error.
@@ -88,5 +91,5 @@
     IF strlen(substrn) EQ 1 THEN BEGIN
         tmpstrn = byte(TmpStrn)
-        count = n_elements(where(TmpStrn EQ (byte(substrn))(0))) 
+        count = n_elements(where(TmpStrn EQ (byte(substrn))[0])) 
     ENDIF ELSE BEGIN 
         count = 0L
Index: /trunk/SRC/Textoidl/strtrans.pro
===================================================================
--- /trunk/SRC/Textoidl/strtrans.pro	(revision 113)
+++ /trunk/SRC/Textoidl/strtrans.pro	(revision 114)
@@ -74,4 +74,7 @@
 FUNCTION strtrans, InputString, from, to, ned,  $
                    HELP=Help
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ; Bomb out to caller if error.
Index: /trunk/SRC/Textoidl/sub_sup_idl.pro
===================================================================
--- /trunk/SRC/Textoidl/sub_sup_idl.pro	(revision 113)
+++ /trunk/SRC/Textoidl/sub_sup_idl.pro	(revision 114)
@@ -34,4 +34,7 @@
 ;-
 FUNCTION Sub_sup_idl, token,  FORCE_UD = force_ud
+;
+  compile_opt idl2, strictarrsubs
+;
 
 IF keyword_set(force_ud) THEN BEGIN 
Index: /trunk/SRC/Textoidl/textable.pro
===================================================================
--- /trunk/SRC/Textoidl/textable.pro	(revision 113)
+++ /trunk/SRC/Textoidl/textable.pro	(revision 114)
@@ -67,4 +67,7 @@
 ;
 FUNCTION textable, POSTSCRIPT=ps, VECTOR=vec,  HELP=Help
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ; Return to caller if error.
@@ -146,8 +149,8 @@
 	[ '\varepsilon', 	'e'     ,     'e'     ],$
 	[ '\varphi', 	$
-            SymbolFont(VECFONT)+'P'+PreviousFont(VECFONT) $
+            SymbolFont[VECFONT]+'P'+PreviousFont[VECFONT] $
                                         ,     'j'     ],$
 	[ '\vartheta', 	$
-            SymbolFont(VECFONT)+'t'+PreviousFont(VECFONT) $
+            SymbolFont[VECFONT]+'t'+PreviousFont[VECFONT] $
                                         ,     'J'     ]$
 	                     ]
Index: /trunk/SRC/Textoidl/textoidl.pro
===================================================================
--- /trunk/SRC/Textoidl/textoidl.pro	(revision 113)
+++ /trunk/SRC/Textoidl/textoidl.pro	(revision 114)
@@ -76,4 +76,7 @@
                    HELP=hlp, $
                    TEX_SEQUENCES=tex_seq
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ;  Return to caller if there is an error.
Index: /trunk/SRC/Textoidl/translate_sub_super.pro
===================================================================
--- /trunk/SRC/Textoidl/translate_sub_super.pro	(revision 113)
+++ /trunk/SRC/Textoidl/translate_sub_super.pro	(revision 114)
@@ -70,4 +70,7 @@
 ;-
 FUNCTION Sub_sup_idl, token,  FORCE_UD = force_ud
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ; provide help if needed.
@@ -169,4 +172,7 @@
                               RECURSED=recursed, $
                               HELP=Help
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ; Return to caller if error.
@@ -208,5 +214,5 @@
 
 ;  Initialize vars for processing scripts.
-    SpcByte = (byte(' '))(0)    ;We need the BYTE value for a space below.
+    SpcByte = (byte(' '))[0]    ;We need the BYTE value for a space below.
     strn = InputString
     pos = 0
Index: /trunk/SRC/ToBeReviewed/CALCULS/curl.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/curl.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/curl.pro	(revision 114)
@@ -58,4 +58,7 @@
 ;------------------------------------------------------------
 FUNCTION curl, uu, vv
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
    tempsun = systime(1)         ; pour key_performance
@@ -142,9 +145,9 @@
 ;------------------------------------------------------------
          if NOT keyword_set(key_periodic)  OR nx NE jpi then begin
-            psi(0, *, *) = !values.f_nan
-            psi(nx-1, *, *) = !values.f_nan
+            psi[0, *, *] = !values.f_nan
+            psi[nx-1, *, *] = !values.f_nan
          endif
-         psi(*, 0, *) = !values.f_nan
-         psi(*, ny-1, *) = !values.f_nan
+         psi[*, 0, *] = !values.f_nan
+         psi[*, ny-1, *] = !values.f_nan
 ;
          if n_elements(valmask) EQ 0 THEN valmask = 1e20
@@ -222,9 +225,9 @@
 ;------------------------------------------------------------
          if NOT keyword_set(key_periodic) OR nx NE jpi then begin
-            psi(0, *, *) = !values.f_nan
-            psi(nx-1, *, *) = !values.f_nan
+            psi[0, *, *] = !values.f_nan
+            psi[nx-1, *, *] = !values.f_nan
          endif
-         psi(*, 0, *) = !values.f_nan
-         psi(*, ny-1, *) = !values.f_nan
+         psi[*, 0, *] = !values.f_nan
+         psi[*, ny-1, *] = !values.f_nan
          if n_elements(valmask) EQ 0 THEN valmask = 1e20
          terref =  where(tabf EQ 0)
@@ -295,9 +298,9 @@
 ;------------------------------------------------------------
          if  NOT keyword_set(key_periodic) OR nx NE jpi then begin
-            psi(0, *) = !values.f_nan
-            psi(nx-1, *) = !values.f_nan
+            psi[0, *] = !values.f_nan
+            psi[nx-1, *] = !values.f_nan
          endif
-         psi(*, 0) = !values.f_nan
-         psi(*, ny-1) = !values.f_nan
+         psi[*, 0] = !values.f_nan
+         psi[*, ny-1] = !values.f_nan
 ;
          if n_elements(valmask) EQ 0 THEN valmask = 1e20
Index: /trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 114)
@@ -42,4 +42,7 @@
 ;------------------------------------------------------------
 FUNCTION depth2floatlevel, tab, NOMASK = nomask
+;
+  compile_opt idl2, strictarrsubs
+;
    tempsun = systime(1)         ; pour key_performance
 @common
Index: /trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 114)
@@ -50,4 +50,7 @@
 FUNCTION depth2level, tab, LOWER = lower, UPPER = upper, CLOSER = closer $
                       , NOMASK = nomask, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
    tempsun = systime(1)         ; pour key_performance
 @common
Index: /trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 114)
@@ -47,4 +47,7 @@
 FUNCTION depth2mask, tab, _extra = ex
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
    tempsun = systime(1)         ; pour key_performance
 @common
Index: /trunk/SRC/ToBeReviewed/CALCULS/determ2.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/determ2.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/determ2.pro	(revision 114)
@@ -33,4 +33,7 @@
 ;-
 FUNCTION determ2, a, b, c, d
+;
+  compile_opt idl2, strictarrsubs
+;
   CASE n_params() OF
     1:res = a[0, 0, *]*a[1, 1, *]-a[0, 1, *]*a[1, 0, *]
Index: /trunk/SRC/ToBeReviewed/CALCULS/determ3.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/determ3.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/determ3.pro	(revision 114)
@@ -38,4 +38,7 @@
 ;-
 FUNCTION determ3, in00, in01, in02, in10, in11, in12, in20, in21, in22
+;
+  compile_opt idl2, strictarrsubs
+;
   IF n_params() EQ 1 THEN BEGIN
     in00save = temporary(in00)
Index: /trunk/SRC/ToBeReviewed/CALCULS/div.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/div.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/div.pro	(revision 114)
@@ -54,4 +54,7 @@
 ;------------------------------------------------------------
 FUNCTION div, uu, vv
+;
+  compile_opt idl2, strictarrsubs
+;
    tempsun = systime(1)         ; pour key_performance
 @common
@@ -139,9 +142,9 @@
 ;------------------------------------------------------------
          if  NOT keyword_set(key_periodic) OR nx NE jpi then begin
-            zdiv(0, *, *) = !values.f_nan
-            zdiv(nx-1, *, *) = !values.f_nan
+            zdiv[0, *, *] = !values.f_nan
+            zdiv[nx-1, *, *] = !values.f_nan
          endif
-         zdiv(*, 0, *) = !values.f_nan
-         zdiv(*, ny-1, *) = !values.f_nan
+         zdiv[*, 0, *] = !values.f_nan
+         zdiv[*, ny-1, *] = !values.f_nan
 ;
          zdiv = temporary(zdiv)
@@ -213,9 +216,9 @@
 ;------------------------------------------------------------
          if  NOT keyword_set(key_periodic) OR nx NE jpi then begin
-            zdiv(0, *, *) = !values.f_nan
-            zdiv(nx-1, *, *) = !values.f_nan
+            zdiv[0, *, *] = !values.f_nan
+            zdiv[nx-1, *, *] = !values.f_nan
          endif
-         zdiv(*, 0, *) = !values.f_nan
-         zdiv(*, ny-1, *) = !values.f_nan
+         zdiv[*, 0, *] = !values.f_nan
+         zdiv[*, ny-1, *] = !values.f_nan
 ;
          if n_elements(valmask) EQ 0 THEN valmask = 1e20
@@ -286,9 +289,9 @@
 ;------------------------------------------------------------
          if  NOT keyword_set(key_periodic) OR nx NE jpi then begin
-            zdiv(0, *) = !values.f_nan
-            zdiv(nx-1, *) = !values.f_nan
+            zdiv[0, *] = !values.f_nan
+            zdiv[nx-1, *] = !values.f_nan
          endif
-         zdiv(*, 0) = !values.f_nan
-         zdiv(*, ny-1) = !values.f_nan
+         zdiv[*, 0] = !values.f_nan
+         zdiv[*, ny-1] = !values.f_nan
 ;
          zdiv = temporary(zdiv)*1e6
Index: /trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 114)
@@ -40,4 +40,7 @@
 ;------------------------------------------------------------
 FUNCTION floatlevel2depth, tab, NOMASK = nomask
+;
+  compile_opt idl2, strictarrsubs
+;
    tempsun = systime(1)         ; pour key_performance
 @common
Index: /trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro	(revision 114)
@@ -14,4 +14,7 @@
 ;-
 FUNCTION fsfzpt, pfs, pfp
+;
+  compile_opt idl2, strictarrsubs
+;
   RETURN, ( -0.0575 + 1.710523e-3 * sqrt(pfs) - 2.154996e-4 * pfs  ) * pfs - 7.53e-4 * pfp
 END
Index: /trunk/SRC/ToBeReviewed/CALCULS/grad.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/grad.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/grad.pro	(revision 114)
@@ -32,4 +32,7 @@
 ;------------------------------------------------------------
 FUNCTION grad, field, direc
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 114)
@@ -113,4 +113,7 @@
                         , _extra = ex
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
@@ -613,5 +616,5 @@
   terre = where(divi EQ 0)
   IF terre[0] NE -1 THEN BEGIN 
-    res(temporary(terre)) = 1e+20
+    res[temporary(terre)] = 1e+20
   ENDIF 
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 114)
@@ -69,4 +69,7 @@
 ;------------------------------------------------------------
 FUNCTION hdyn,  tabsn, tabtn, TREF = tref,  SREF = sref, PROFREF = profref, LEVEL = level, GILL = gill, SURFACE_LEVEL = surface_level
+;
+  compile_opt idl2, strictarrsubs
+;
    tempsun = systime(1)         ; pour key_performance
 @common
Index: /trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 114)
@@ -38,4 +38,7 @@
 ;------------------------------------------------------------
 FUNCTION level2depth, tab, NOMASK = nomask
+;
+  compile_opt idl2, strictarrsubs
+;
    tempsun = systime(1)         ; pour key_performance
 @common
Index: /trunk/SRC/ToBeReviewed/CALCULS/level2index.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/level2index.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/level2index.pro	(revision 114)
@@ -43,4 +43,7 @@
 ; level etant donne, pour chaque points de level on connait i, j et k,
 ; on peut donc calculer l''indice.
+;
+  compile_opt idl2, strictarrsubs
+;
    taille = size(level)
    nx = taille[1]
Index: /trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro	(revision 114)
@@ -42,4 +42,7 @@
 FUNCTION level2mask, tab
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
    tempsun = systime(1)         ; pour key_performance
 @common
